"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.payoutProviderLoginLinkResultParser = exports.payoutProviderLoginLinkParamsParser = exports.payoutProviderOriginTypeParser = void 0;
const zod_1 = __importDefault(require("zod"));
const constants_1 = require("./constants");
const types_1 = require("./types");
exports.payoutProviderOriginTypeParser = zod_1.default.enum(types_1.PAYOUT_PROVIDER_ORIGIN_TYPES);
exports.payoutProviderLoginLinkParamsParser = zod_1.default.object({
    [constants_1.PAYOUT_PROVIDER_ORIGIN_TYPE_PARAM_NAME]: exports.payoutProviderOriginTypeParser,
});
exports.payoutProviderLoginLinkResultParser = zod_1.default.string().url();
